package smart_gs.swingui.toolbar.action;

import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;

import smart_gs.drawing_tool.drawing_mode.MarkerMode;
import smart_gs.drawing_tool.drawing_mode.MemoPadMode;
import smart_gs.drawing_tool.drawing_mode.Mode;
import smart_gs.drawing_tool.state.DefaultState;
import smart_gs.swingui.AbstractGSWindow;
import smart_gs.swingui.WorkspaceWindow;

public class DrawMemoPadActionListener implements ActionListener {
	// no tmp memopad!

	public DrawMemoPadActionListener(AbstractGSWindow abstractGSWindow) {
//		
	}

	@Override
	public void actionPerformed(ActionEvent e) {
		Mode mode0 = MemoPadMode.getInstance();
			mode0.setTemporary(false);
			DefaultState.getInstance().setMode(mode0);
	}
}
